package com.xhkjedu.sexam.mapper.exam;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.sexam.model.exam.ESubjectBadstudent;
import com.xhkjedu.sexam.model.exam.ESubjectInvigilate;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface ESubjectBadstudentMapper extends TkMapper<ESubjectBadstudent> {
    //试卷学生
    List<Map> listStu(@Param("ei") ESubjectInvigilate ei);

    //学生进场概况
    Map getPaperRate(@Param("ei") ESubjectInvigilate ei);

    //教师监考班级
    Map getClass(@Param("esid") Integer esid, @Param("teacherid") Integer teacherid);

    //试卷学生异常记录
    List<Map> listBadStu(@Param("ei") ESubjectInvigilate ei);

    //监考学生
    List<Map> listStu2(@Param("ei") ESubjectInvigilate ei);

    //视频监控-学生列表（带违规数量）
    List<Map> listStu3(@Param("ei") ESubjectInvigilate ei);

    //视频监控-学生照片详情
    List<Map> listXsZp(@Param("bs") ESubjectBadstudent bs);
}